{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0,
      "conditions": [],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:allay_spawn_egg",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:item_name": {
                  "translate": "block.overlyrealistic.preparation_plate",
                  "fallback": "Preparation Plate",
                  "color": "white"
                },
                "minecraft:entity_data": {
                  "Tags": [
                            "OverlyRealistic.Block.IsCustomBlockMarker",
                            "OverlyRealistic.Block.PreparationPlate_Type_DryGrassTuft"
                          ],
                  "id": "minecraft:marker",
                  "data": {
                    "placement_function": "overly_realistic:general/custom_blocks/preparation_plate/preparation_plate_placed",
                    "IsCustomBlock": "preparation_plate",
                    "or_preparation_plate_type": "dry_grass_tuft"
                  }
                },
                "minecraft:custom_data": {
                  "IsCustomBlock": "preparation_plate",
                  "or_edited_item": true,
                  "or_is_custom_block": true,
                  "or_preparation_plate_type": "dry_grass_tuft"
                },
                "max_stack_size": 1,
                "item_model": "overlyrealistic:blocks/preparation_plate/preparation_plate_dry_grass_tuft"
              }
            }
          ]
        }
      ],
      "rolls": 1
    }
  ]
}